Contents

# CLEAN

All non-printing characters are removed from the string.

#### Syntax

CLEAN("Text")

Text refers to the text from which to remove all non-printable characters.

#### Example

=LEN(CLEAN(CHAR(7) & "LibreOffice Calc" & CHAR(8))) returns 16, showing that the CLEAN function removes the non-printable Unicode U+0007 ("BEL") and U+0008 ("BS") characters at the beginning and end of the string argument. CLEAN does not remove spaces.

Related Topics

CLEAN wiki page.

Text Functions